### Method

# Secret Collection search_for_dbus_paths_sync

#### Declaration [src]

    gchar**
    secret_collection_search_for_dbus_paths_sync (
      SecretCollection* collection,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Search for items matching the `attributes` in `collection`, and return their DBus object paths.

The `attributes` should be a table of string keys and string values.

This function may block indefinitely. Use the asynchronous version in user interface threads.

DBus object paths of the items will be returned. If you would to have `SecretItem` objects to be returned instead, then use the `secret_collection_search_sync()` function.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  Search for items matching these attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

An array of DBus object paths for matching items.

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.